Subject: Re: [PATCH] Documentation: fix a typo in git-apply.txt

From: Michal Kiedrowicz <[email-masked]>
Date: Fri, 4 Mar 2011 08:56:22 +0100

On 03.03.2011 15:28:45 -0800 Junio C Hamano <[email-masked]> wrote:

> Michał Kiedrowicz <[email-masked]> writes:
> 
> > git-apply accepts the --cached option, not --cache.
> >
> > Signed-off-by: Micha=C5=82 Kiedrowicz <[email-masked]>
> > ---
> >  Documentation/git-apply.txt |    2 +-
> >  1 files changed, 1 insertions(+), 1 deletions(-)
> >
> > diff --git Documentation/git-apply.txt Documentation/git-apply.txt
> > index 881652f..2dcfc09 100644
> > --- Documentation/git-apply.txt
> > +++ Documentation/git-apply.txt
> 
> What kind of crap is this?
> 
> We really should make it much harder for people to use funky src/dst
> prefix when generating patches.

It's called diff.noprefix=true :). I use it @work to easily copy/paste
paths from git-diff output. I guess I should somehow make git.git
config ignore global settings.

---
From: =?UTF-8?q?Micha=C5=82=20Kiedrowicz?= <[email-masked]>
Date: Thu, 3 Mar 2011 09:51:46 +0100
Subject: [PATCH] Documentation: fix a typo in git-apply.txt
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

git-apply accepts the --cached option, not --cache.

Signed-off-by: Michał Kiedrowicz <[email-masked]>
---
 Documentation/git-apply.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/Documentation/git-apply.txt b/Documentation/git-apply.txt
index 881652f..2dcfc09 100644
--- a/Documentation/git-apply.txt
+++ b/Documentation/git-apply.txt
@@ -22,7 +22,7 @@ DESCRIPTION
 -----------
 Reads the supplied diff output (i.e. "a patch") and applies it to files.
 With the `--index` option the patch is also applied to the index, and
-with the `--cache` option the patch is only applied to the index.
+with the `--cached` option the patch is only applied to the index.
 Without these options, the command applies the patch only to files,
 and does not require them to be in a git repository.

-- 
1.7.4.1